Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.instance.node
Class WorkItemNodeInstance

    java.lang.Object
      org.jbpm.workflow.instance.impl.NodeInstanceImpl
          org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
              org.jbpm.workflow.instance.node.StateBasedNodeInstance
                  org.jbpm.workflow.instance.node.WorkItemNodeInstance

All Implemented Interfaces:
  Serializable, ContextInstanceContainer, EventBasedNodeInstanceInterface, EventListener, NodeInstance

Direct Known Subclasses:
  HumanTaskNodeInstance

    public class WorkItemNodeInstance

extends StateBasedNodeInstance
implements EventListener, ContextInstanceContainer

Runtime counterpart of a work item node.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`NodeInstanceImpl.NodeInstanceTrigger`

Field Summary

Fields inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance
`PARAMETER_MATCHER`

Constructor Summary
`WorkItemNodeInstance()`

Method Summary
`void` | `addContextInstance(String contextId, ContextInstance contextInstance)`
`void` | `addEventListeners()`
`void` | `cancel()`
`protected org.drools.core.process.instance.WorkItem` | `createWorkItem(WorkItemNode workItemNode)`
`ContextContainer` | `getContextContainer()`
`ContextInstance` | `getContextInstance(Context context)`
`ContextInstance` | `getContextInstance(String contextId, long id)`
`List<ContextInstance>` | `getContextInstances(String contextId)`
`String[]` | `getEventTypes()` Returns the event types this event listener is interested in.
`String` | `getNodeName()` The name of the node this node instance refers to.
`protected Map<String,Object>` | `getSourceParameters(DataAssociation association)`
`org.drools.core.process.instance.WorkItem` | `getWorkItem()`
`long` | `getWorkItemId()`
`protected WorkItemNode` | `getWorkItemNode()`
`void` | `internalSetWorkItem(org.drools.core.process.instance.WorkItem workItem)`
`void` | `internalSetWorkItemId(long workItemId)`
`void` | `internalTrigger(NodeInstance from, String type)`
`boolean` | `isInversionOfControl()`
`void` | `removeContextInstance(String contextId, ContextInstance contextInstance)`
`void` | `removeEventListeners()`
`void` | `signalEvent(String type, Object event)` Signals that an event has occurred.
`void` | `triggerCompleted(org.drools.core.process.instance.WorkItem workItem)`
`void` | `workItemAborted(org.drools.core.process.instance.WorkItem workItem)`
`void` | `workItemCompleted(org.drools.core.process.instance.WorkItem workItem)`

Methods inherited from class org.jbpm.workflow.instance.node.StateBasedNodeInstance
`addTimerListener, checkProcessInstance, configureTimerInstance, createTimerInstance, getActivationType, getEventBasedNode, getTimerInstances, internalSetTimerInstances, triggerCompleted, triggerCompleted`

Methods inherited from class org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
`getExtendedNode, triggerCompleted, triggerEvent`

Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`executeAction, followConnection, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getProcessInstance, getUniqueId, getVariable, resolveContext, resolveContextInstance, retrigger, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerConnection, triggerNode, triggerNodeInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkItemNodeInstance

    public WorkItemNodeInstance()

Method Detail

### getWorkItemNode

    protected WorkItemNode getWorkItemNode()

### getWorkItem

    public org.drools.core.process.instance.WorkItem getWorkItem()

### getWorkItemId

    public long getWorkItemId()

### internalSetWorkItemId

    public void internalSetWorkItemId(long workItemId)

### internalSetWorkItem

    public void internalSetWorkItem(org.drools.core.process.instance.WorkItem workItem)

### isInversionOfControl

    public boolean isInversionOfControl()

  Overrides:
    `isInversionOfControl` in class `NodeInstanceImpl`

### internalTrigger

    public void internalTrigger(NodeInstance from,
                                String type)

  Overrides:
    `internalTrigger` in class `StateBasedNodeInstance`

### createWorkItem

    protected org.drools.core.process.instance.WorkItem createWorkItem(WorkItemNode workItemNode)

### triggerCompleted

    public void triggerCompleted(org.drools.core.process.instance.WorkItem workItem)

### cancel

    public void cancel()

  Overrides:
    `cancel` in class `StateBasedNodeInstance`

### addEventListeners

    public void addEventListeners()

  Specified by:
    `addEventListeners` in interface `EventBasedNodeInstanceInterface`
  Overrides:
    `addEventListeners` in class `StateBasedNodeInstance`

### removeEventListeners

    public void removeEventListeners()

  Specified by:
    `removeEventListeners` in interface `EventBasedNodeInstanceInterface`
  Overrides:
    `removeEventListeners` in class `StateBasedNodeInstance`

### signalEvent

    public void signalEvent(String type,
                            Object event)

  Description copied from interface: `EventListener`
  Signals that an event has occurred. The type parameter defines which type of event and the event parameter can contain additional information related to the event.

  Specified by:
    `signalEvent` in interface `EventListener`
  Overrides:
    `signalEvent` in class `StateBasedNodeInstance`
  Parameters:
    `type` - the type of event
    `event` - the data associated with this event

### getEventTypes

    public String[] getEventTypes()

  Description copied from interface: `EventListener`
  Returns the event types this event listener is interested in. May return `null` if the event types are unknown.

  Specified by:
    `getEventTypes` in interface `EventListener`
  Overrides:
    `getEventTypes` in class `StateBasedNodeInstance`

### workItemAborted

    public void workItemAborted(org.drools.core.process.instance.WorkItem workItem)

### workItemCompleted

    public void workItemCompleted(org.drools.core.process.instance.WorkItem workItem)

### getNodeName

    public String getNodeName()

  Description copied from interface: `NodeInstance`
  The name of the node this node instance refers to.

  Specified by:
    `getNodeName` in interface `NodeInstance`
  Overrides:
    `getNodeName` in class `NodeInstanceImpl`
  Returns:
    the name of the node this node instance refers to

### getContextInstances

    public List<ContextInstance> getContextInstances(String contextId)

  Specified by:
    `getContextInstances` in interface `ContextInstanceContainer`

### addContextInstance

    public void addContextInstance(String contextId,
                                   ContextInstance contextInstance)

  Specified by:
    `addContextInstance` in interface `ContextInstanceContainer`

### removeContextInstance

    public void removeContextInstance(String contextId,
                                      ContextInstance contextInstance)

  Specified by:
    `removeContextInstance` in interface `ContextInstanceContainer`

### getContextInstance

    public ContextInstance getContextInstance(String contextId,
                                              long id)

  Specified by:
    `getContextInstance` in interface `ContextInstanceContainer`

### getContextInstance

    public ContextInstance getContextInstance(Context context)

  Specified by:
    `getContextInstance` in interface `ContextInstanceContainer`

### getContextContainer

    public ContextContainer getContextContainer()

  Specified by:
    `getContextContainer` in interface `ContextInstanceContainer`

### getSourceParameters

    protected Map<String,Object> getSourceParameters(DataAssociation association)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.